################################################################################################
## GRP260x Change Log                                                                         ##
################################################################################################
################################################################################################
# P value added since 1.0.7.49                                                                ##
################################################################################################

# Enable Call Monitor Function. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
95017/95117/95217/95317/95417/95517 = 1

# Support Call Monitor Privacy Mode. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
95018/95118/95218/95318/95418/95518 = 1

# Barge-in Feature Code
# String
95019/95119/95219/95319/95419/95519 = 

# Listen Feature Code
# String
95020/95120/95220/95320/95420/95520 = 

# Whisper Feature Code
# String
95021/95121/95221/95321/95421/95521 = 

# Takeover Feature Code
# String
95022/95122/95222/95322/95422/95522 = 

# Local Call Features Mode.  0 - No, 1 - Yes, 2 – Call Forward & DND only, 3 – Yes without Feature Codes. Default is 1
# Number: 0, 1 
# Mandatory
P191/420/520/620/720/820 = 1


################################################################################################
# P value added since 1.0.7.39                                                                ##
################################################################################################
# Registration Retry Wait Time(s) upon 403 Forbidden. Default is 1200
# Number: 0 - 3600
# Mandatory
P26002/26102/26202/26302/26402/26502 = 1200

# Geolocation Header Format. Default is 0
# Number: 0, 1. 0 - Legacy, 1 - RFC6442
# Mandatory
P8725 = 0

# Add Auth Header on RE-REGISTER. Default is 1
# Number: 0, 1
# Mandatory
P95029/95129/95229/95329/95429/95529 = 1

# Reboot on check-sync event without "reboot=". 0 - Disabled, 1 - Enabled. Default is 1
# Number: 0, 1
# Mandatory
P95030/95130/95230/95330/95430/95530 = 1

################################################################################################
# P value added since 1.0.7.32                                                                ##
################################################################################################
# Call-ID Domain Mode
# Number: 0, 1. 0 – Masked Info, 1 – Plaintext Host IP Address. Default is 0
# Mandatory
P22653 = 0

# Enable Alert-Info Bellcore Mapping
# Number: 0, 1
# 0 - Disabled, 1 - Enabled. Default is 1
# Mandatory
P95026/95126/95226/95326/95426/95526 = 1

# Generate WLAN Session Keys File (For GRP2601W, GRP2602W only)
# Number: 0, 1
# 0 - No, 1 - Yes. Default is 0
# Mandatory
P22619 = 0

################################################################################################
# P value added since 1.0.7.24                                                                ##
################################################################################################
# Media NAT Traversal
# Number: 0, 1, 2, 3. 0 -No, 1 - Auto, 2 - STUN, 3 - TURN, 4 - ICE
# Mandatory
# P95002/95102/95202/95302/95402/95502 = 1

# Candidate Type
# Number: 0, 1. 0 - All, 1 - Relay Candidates Only. Default is 0.
# Mandatory
# P95005/95105/95205/95305/95405/95505 = 0

# STUN/TURN Server
# Server 1--Address
# String. Example: "turn:your-turn-server.com:3478?transport=tcp" "stun:your-turn-server.com:3478?transport=udp"
# P95008/95108/95208/95308/95408/95508 = 

# Server 1--Username
# String
# P95009/95109/95209/95309/95409/95509 =

# Server 1--Password
# String
# P95010/95110/95210/95310/95410/95510 =

# Server 2--Address
# String. Example: "turn:your-turn-server.com:3478?transport=tcp" "stun:your-turn-server.com:3478?transport=udp"
# P95011/95111/95211/95311/95411/95511 = 

# Server 2--Username
# String
# P95012/95212/95312/95412/95512 =

# Server 2--Password
# String
# P95013/95113/95213/95313/95413/95513 =

# Server 3--Address
# String. Example: "turn:your-turn-server.com:3478?transport=tcp" "stun:your-turn-server.com:3478?transport=udp"
# P95014/95114/95214/95314/95414/95514 = 

# Server 3--Username
# String
# P95015/95115/95215/95315/95415/95515 =

# Server 3--Password
# String
# P95016/95116/95216/95316/95416/95516 =

################################################################################################
# P value added since 1.0.7.23                                                                ##
################################################################################################
# Prefer BSSID
# String
# P83047/83147/83247/83347/83447/83547/83647/83747/83847/83947 =

################################################################################################
# P value added since 1.0.7.19                                                                ##
################################################################################################
# Configure the softkey bar style. Default is 0
# Number: 0,1,2,3. 0-Style 1, 1-Style 2, 2-Style 3, 3-Style 4.
# Mandatory
P22622 = 0

################################################################################################
# P value added since 1.0.7.11                                                                ##
################################################################################################
# Syslog Header Format. 0 - Legacy, 1 - RFC3164 Compliant. Default is 0
# Number: 0, 1
# Mandatory
P8723 = 0

################################################################################################
# P value added since 1.0.7.10                                                                ##
################################################################################################
# Monitored Voicemail Access Number
# String
P60076/60176/60276/60376/60476/60576 = 

################################################################################################
# P value added since 1.0.5.71                                                                ##
################################################################################################
# Tertiary SIP Server
# String
P29097/29197/29297/29397/29497/29597 = 

# SRTP Key Exchange. 0 - SDES, 1 - DTLS. Default is 0
# Default is 0
# Number: 0,1
# Mandatory
P60078/60178/60278/60378/60478/60578 = 0

# VQ RTCP-XR Collector Address Selection. 0 - Manual, 1 - Auto. Default is 0
# Number: 0,1
# Mandatory
P60087/60187/60287/60387/60487/60587 = 0

# RTP IP Filter. 0 - Disable, 1 - IP Only, 2 - IP and port. Default is 0
# Number: 0, 1, 0
# Mandatory
P26026/26126/26226/26326/26426/26526 = 0

# Hide Pop-up Options. 0-Disable, 1-All Info, 2-All Alarm&All Info, 3-All,4-Custom
# Number: 0,1,2,3,4. Default is 0
# Mandatory
P22530 = 0

# Custom Mode
# String
# Conference Members Joining and Leaving Information - call.conf.member
# Missed Calls/New Messages - call.message_tips
# CTI Authcode - cti.auth_code
# Prompt for web modify configuration - sys.config.modified_by_web
# Saving... Please wait - sys.config.saving
# Database corrupt - sys.db
# Network warning information - sys.net.warn_info
# Reboot confirmation countdown - sys.reboot_timming
# Remote control confirmation countdown - sys.remote_control_permission
# Firmware server auth failed - sys.upgrade.auth_fw
# Config server auth failed - sys.upgrade.auth_cfg
# Upgrade certificate failed - sys.upgrade.cert
# Failed to download config file - sys.upgrade.cfg
# Firmware upgrade reboot confirmation countdown - sys.upgrade.confirm
# Failed to download firmware - sys.upgrade.fw
# Firmware upgrade confirmation countdown - sys.upgrade.reboot_confirm
# Current firmware version - sys.upgrade.version
# User storage space is full - sys.user_space
# Please use the provided 5V power adapter! - sys.voltage
# Receive new voice mail - vm.new
# Default Admin Password - sys.default_pwd
P22531 = 

# Phonebook Matching
# Filter Characters
# String. Default is [()-]
P22012 = [()-]

# Auto-Answer Tone Gain. 0-Off, 1-Low, 2-Medium,3-High. Default is 2
# Number: 0, 1, 2,3
# Mandatory
P22487 = 2

# DTLS Version
# Minimum DTLS version. 10- DTLS 1.0, 12-DTLS 1.2
# Number: 10, 12. Default is 10.
# Mandatory
P22514 = 10

# Maximum DTLS version. 10- DTLS 1.0, 12-DTLS 1.2, 99- Unlimited
# Number: 10, 12, 99. Default is 99.
# Mandatory
P22515 = 99

# Enable SCEP. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
P8647 = 0

# SCEP Server URL
# String
P8648 = 

# Proxy Server URL
# String
P8651 = 

# CA FingerPrint Infomation
# String
P8652 = 

# Challenge Password
# String
P8653 = 

# Local Public and Private Key Length. 0-1024bits, 1-2048bits, 2-3072bits, 3-4096bits
# Number: 0, 1, 2, 3. Defauli is 1.
# Mandatory
P8654 = 1

# The Name of Certificate Applicant
# String. Defaul is name.
P8655 = name

# The Country of Certificate Applicant Located
# Option: UNITEDARABEMIRATES (AE),ALBANIA (AL),ARMENIA (AM),NETHERLANDSANTILLES (AN),ARGENTINA (AR),AUSTRALIA (AU),ARUBA (AW),AZERBAIJAN (AZ),BOSNIA (BA)
# BARBADOS (BB),BANGLADESH (BD),BELGIUM (BE),BULGARIA (BG),BAHRAIN (BH),BURUNDI (BI),BENIN (BJ),BERMUDA (BM),BRUNEI (BN),BOLIVIA (BO),BRAZIL (BR)
# BAHAMAS (BS),BOTSWANA (BW),BELARUS (BY),BELIZE (BZ),CANADA (CA),CONGO (CF),SWITZERLAND (CH),CHILE (CL),CHINA (CN),COLOMBIA (CO),COSTA (CR),CYPRUS (CY)
# CZECH (CZ),GERMANY (DE),DENMARK (DK),DOMINICAN (DO),ALGERIA (DZ),ECUADOR (EC),ESTONIA (EE),EGYPT (EG),SPAIN (ES),ETHIOPIA (ET),FINLAND (FI),FIJI (FJ)
# FRANCE (FR),GERNADA (GD),GEORGIA (GE),GHANA (GH),GIBRALTAR (GI),GREENLAND (GL),GAMBIA (GM),GUINEA (GN),GUADELOUPE (GP),GREECE (GR),GUATEMALA (GT)
# GUAM (GU),GUYANA (GY),HONGKONG (HK),DONDURAS (HN),CROATIA (HR),HAITI (HT),HUNGARY (HU),INDONESIA (ID),IRELAND (IE),ISRAEL (IL),INDIA (IN),ICELAND (IS)
# ITALY (IT),JERSEY (JE),JAMAICA (JM),JORDAN (JO),JAPAN (JP),KENYA (KE),KYRGYZSTAN (KG),CAMBODIA (KH),SOUTHKOREA (KR),KUWAIT (KW),CAYMAN (KY)
# KAZAKHSTAN (KZ),LEBANON (LB),LIECHTENSTEIN (LI),SRILANKA (LK),LIBERIA (LR),LITHUANIA (LT),LUXEMBOURG (LU),LATVIA (LV),MOROCOO (MA),MONACO (MC)
# MONTENEGRO (ME),MACEDONIA (MK),MALI (ML),MONGOLIA (MN),MACAU (MO),MALT (MT),MEXICO (MX),MALAYSIA (MY),NIGER (NE),NIGERIA (NG),NICARAGUA (NI)
# NETHERLANDS (NL),NEPAL (NP),NEWZEALNAD (NZ),OMAN (OM),PANAMA (PA),PERU (PE),PAPUA (PG),PHILIPPINES (PH),PAKISTAN (PK),POLAND (PL),PUERTORICO (PR)
# PORTUGAL (PT),PARAGUAY (PY),QATAR (QA),ROMANIA (RO),SERBIA (RS),RUSSIA (RU),RWANDA (RW),SAUDIARABIA (SA),SWEDEN (SE),SINGAPORE (SG),SLOVAKIA (SI)
# SLOVENIA (SK),SIERRALEONE (SL),TOGO (TG),THAILAND (TH),TURKMENISTAN (TM),TUNISIA (TN),TURKEY (TR),TRINIDAD (TT),TAIWAN (TW),UKRAINE (UA),UGANDA (UG)
# UNITEDKINGDOM (UK),UNITEDSTATES (US),URUGUAY (UY),VENEZUELA (VE),VERGINISLANDS (VI),VIETNAM (VN),YEMEN (YE),SOUTHAFRICA (ZA),ZAMBIA (ZM),ZIMBABWE (ZW)
P8656 = 

# The State of Certificate Applicant Located
# String
P8657 = 

# The Locality of Certificate Applicant Located
# String
P8658 = 

# The Organization  of Certificate Applicant Located
# String
P8659 = 

# The organization unit of Certificate Applicant
# String
P8660 = 

# HTTP Authentication
# User ID
# String
P8649 =

# Password
# String
P8650 = 

# Certificates and Updates
# CA Certificate Alternative Name
# String
P8661 = $MAC.local

# Update Interval before Certificate Expiration
# Number: 1 - 30. Default is 20
P8662 = 20

# Scope of Use
# String
P8663 = CustomerCertificate

# Headset Equalizer Mode. 0-Disabled, 1-Mode1, 2-Mode2, 3-Mode3.
# Number: 0, 1, 2, 3. Default is 0
# Mandatory
P22617 = 0

# Priority Noise Cancellation Method. 0 - Traditional Noise Cancellation, 1 - AI Noise Cancellation. Default is 1
# Number: 0, 1
# Mandatory
P22574 = 1

# Top Screen
# Softkey Label
# String. Default is XMLApp
P352 = XMLApp

# Server Path
# String
P337 = 

# LDAP Position Filter
# String
P8041 =

# LDAP Department Filter
# String
P8043 =

# LDAP Position Attributes
# String
P8040 = 

# LDAP Department  Attributes
# String
P8042 =

####################################################################
# Phonebook 4                                                     ##
####################################################################
# Display Name
# String
P22539 =

# URL
# String
P22540 =

# Username
# String
P22541 =

# Password
# String
P22542 =

####################################################################
# Phonebook 5                                                     ##
####################################################################
# Display Name
# String
P22544 =

# URL
# String
P22545 =

# Username
# String
P22546 =

# Password
# String
P22547 =

# Enable Account Sharing
# Number: 0, 1. 0-No, 1-Yes. Default is 0
# Mandatory
P22521 = 0

# Role in Account Sharing
# Number: 0,1. 0-host device, 1-guest device. Default is 1
# Mandatory
P22522 = 1

# Group Name
# String
P22527 = AccountSharing

# Group Password
# String
P22523 = AccountSharing

# Account
# Number: 0 - 5. 0-Account1, 1-Account2, 2-Account3, 3-Account4, 4-Account5, 5-Account6.Default is 0
# Mandatory
P22524 = 0

# Account Name
# String
P22525 = 

################################################################################################
# P value added since 1.0.5.68                                                                ##
################################################################################################
# LLDP Timeout before DHCP Request (s)
# Number: 0 - 30
# Mandatory
P22606 = 0

################################################################################################
# P value added since 1.0.5.65                                                                ##
################################################################################################
# OpenVPN Server Address
# String
P22597 = 

# OpenVPN Secondary Port. Default is 1194
# Number
# Mandatory
P22598 = 1194

# Randomly Select Server.  0 - No, 1 - Yes. Default is 0
# Number: 0, 1 
# Mandatory
P22599 = 0

# Voicemail Key Mode. 0 - Default, 1 - Disabled. Default is 0
# Number: 0, 1
# Mandatory
P22600 = 0

################################################################################################
# P value added since 1.0.5.54                                                                ##
################################################################################################
# Enable Call Park Softkey. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
P8611 = 1

# Call Park Softkey Feature Code 
# String
P8613 = 

# Call Park Retrieve Softkey Feature Code
# String
P22559 =

# Group Call Park Softkey Feature Code 
# String
P8614 =


################################################################################################
# P value added since 1.0.5.50                                                                ##
################################################################################################
# Multicast Tone. 0 - Disabled, 1 - Enabled
# Number: 0, 1
# Mandatory
P22556 = 1

# Enable User Web Access. 0 - Disabled, 1 - Enabled. Default is 0
# Number: 0, 1
# Mandatory
P8469 = 0

# Enable LEGACY_SERVER_CONNECT. 0 - Disabled, 1 - Enabled. Default is 0
# Number: 0, 1
# Mandatory
P22562 = 0

########################################
# Dialpad Navigation button provision
#######################################
# String: none,menu,settings,vpk.page.left,vpk.page.right,account.default.prev,account.default.next,info,ext.qrcode,messages.voicemail,messages.IM,callhistory.missed,callhistory.outgoing,callhistory.incoming,contacts.local,contacts.remote,contacts.broadsoft,contacts.LDAP

# Short press Navigation--Up button
# P8672=info

# Long press Navigation--Up button
# P8673=none

# Short press Navigation--Down button
# P8674=ext.qrcode

# Long press Navigation--Down button
# P8675=none

# Short press Navigation--Left button
# P8676=vpk.page.left

# Long press Navigation--Left button
# P8677=none

# Short press Navigation--Right button
# P8678=vpk.page.right

# Long press Navigation--Right button
# P8679=none

# Short press Navigation--OK button
# P8680=menu

# Long press Navigation--OK button
# P8681=none

################################################################################################
# P value added since 1.0.5.38                                                                ##
################################################################################################
# Enable Management Interface
# Number: 0, 1. 0 - No, 1 - Yes
# Mandatory
P28161 = 0

# Management Access
# Number: 0, 1. 0 - Management Interface Only, 1 - Both Service and Management Interfaces
# Mandatory
P28162 = 0

# Enable SNMP Through Management Interface
# Number: 0, 1. 0 - No, 1 - Yes
# Mandatory
P28209 = 0

# Enable TR069 Through Management Interface
# Number: 0, 1. 0 - No, 1 - Yes
# Mandatory
P8607 = 0

# Enable Syslog Through Management Interface
# Number: 0, 1. 0 - No, 1 - Yes
# Mandatory
P8610 = 0

# 802.1Q/VLAN Tag
# Number: 0-4094
P22111 = 0

# 802.1p Priority Value
# Number: 0-7
P22112 = 0

# IPv4 Address Type
# Number: 0, 1. 0 - dynamiccaly assigned via DHCP, 1 - statically configured as
# Mandatory
P22105 = 0

# IP Address
P22106 = 

# Subnet Mask
P22107 = 

# Default Router
P22108 = 

# DNS Server 1
P22109 = 

# DNS Server 2
P22110 = 

# Enable Local In-call DTMF Tone in Speaker Mode. 0 - No, 1 - Yes, 2 - Specific Tone. Default is 1
# Number: 0, 1, 2
# Mandatory
P22552 = 1

# Enable Local Dialing DTMF Tone in Speaker Mode. 0 - No, 1 - Yes, 2 - Specific Tone. Default is 1
# Number: 0, 1, 2
# Mandatory
P22553 = 1

################################################################################################
# P value added since 1.0.5.26                                                                ##
################################################################################################
# Enable Incoming Call Indicator. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P82285 = 0

# Transfer to VM feature code
# Strings. Default is *
# P60092/60192/60292/60392/60492/60592 = *

# VPK Paging Auto Return Timeout(s)
# Number: 0, 5 - 90. Default is 0
# P8670 = 0

# Maintain System Log Information after Factory Reset. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P82307 = 0

################################################################################################
# P value added since 1.0.5.25                                                                ##
################################################################################################
# NAPTR DNS Cache Name
# String
# P93000 / P93020 / P93040 / P93060 / P93080 / P93100 / P93120 / P93140 / P93160 / P93180 / P93200 / P93220 / P93240 / P93260 / P93280 / P93300 / P93320 / P93340 = 

# NAPTR DNS Cache Time Interval (s)
# Number: 0 - 65535. Default is 300.
# P93001 / P93021 / P93041 / P93061 / P93081 / P93101 / P93121 / P93141 / P93161 / P93181 / P93201 / P93221 / P93241 / P93261 / P93281 / P93301 / P93321 / P93341 = 300

# NAPTR DNS Cache Order
# Number: 0 - 65535
# P93002 / P93022 / P93042 / P93062 / P93082 / P93102 / P93122 / P93142 / P93162 / P93182 / P93202 / P93222 / P93242 / P93262 / P93282 / P93302 / P93322 / P93342 = 0 

# NAPTR DNS Cache Preference
# Number: 0 - 65535
# P93003 / P93023 / P93043 / P93063 / P93083 / P93103 / P93123 / P93143 / P93163 / P93183 / P93203 / P93223 / P93243 / P93263 / P93283 / P93303 / P93323 / P93343 = 

# NAPTR DNS Cache Replacement
# String
# P93007 / P93027 / P93047 / P93067 / P93087 / P93107 / P93127 / P93147 / P93167 / P93187 / P93207 / P93227 / P93247 / P93267 / P93287 / P93307 / P93327 / P93347 = 

# NAPTR DNS Cache Service
# String. Default is SIP+D2U
# P93005 / P93025 / P93045 / P93065 / P93085 / P93105 / P93125 / P93145 / P93165 / P93185 / P93205 / P93225 / P93245 / P93265 / P93285 / P93305 / P93325 / P93345 = SIP+D2U

# SRV DNS Cache Name
# String
# P93008 / P93028 / P93048 / P93068 / P93088 / P93108 / P93128 / P93148 / P93168 / P93188 / P93208 / P93228 / P93248 / P93268 / P93288/ P93308 / P93328 / P93348 = 

# SRV DNS Cache Time Interval (s)
# Number: 0 - 65535. Default is 300.
# P93009 / P93029 / P93049 / P93069 / P93089 / P93109 / P93129 / P93149 / P93169 / P93189 / P93209 / P93229 / P93249 / P93269 / P93289 / P93309 / P93329 / P93349 = 300

# SRV DNS Cache Priority
# Number: 0 - 65535. Default is 0
# P93010 / P93030 / P93050 / P93070 / P93090 / P93110 / P93130 / P93150 / P93170 / P93190 / P93210 / P93230 / P93250 / P93270 / P93290 / P93310 / P93330 / P93350 = 0

# SRV DNS Cahce Weight
# Number: 0 - 65535. Default is 0
# P93011 / P93031 / P93051 / P93071 / P93091 / P93111 / P93131 / P93151 / P93171 / P93191 / P93211 / P93231 / P93251 / P93271 / P93291 / P93311 / P93331 / P93351= 0

# SRV DNS Cache Target
# String
# P93013 / P93033 / P93053 / P93073 / P93093 / P93113 / P93133 / P93153 / P93173 / P93193 / P93213 / P93233 / P93253 / P93273/ P93293 / P93313 / P93333 / P93353=

# SRV DNS Cache Port
# Number: 0 - 65535. 
# P93012 / P93032 / P93052 / P93072 / P93092 / P93112 / P93132 / P93152 / P93172 / P93192 / P93212 / P93232 / P93252 / P93272 / P93292 / P93312 / P93332 / P93352 =

# A DNS Cache Name
# String
# P93014 / P93034 / P93054 / P93074/ P93094 / P93114 / P93134 / P93154 / P93174 / P93194 / P93214 / P93234/P93254 / P93274 / P93294 / P93314 / P93334 / P93354 = 

# A DNS Cache Time Interval 
# Number: 0 - 65535. Default is 300.
# P93015 / P93035 / P93055 / P93075 / P93095 / P93115 / P93135 / P93155 / P93175 / P93195 / P93215 / P93235 / P93255 / P93275 / P93295 / P93315 / P93335 /P93355= 300

# A DNS Cache IP Address
# String
# P93016 / P93036 / P93056 / P93076 / P93096 / P93116 / P93136 / P93156 / P93176 / P93196 / P93216 / P93236 / P93256 / P93276 / P93296 / P93316 / P93336 / P93356 =

################################################################################################
# P value added since 1.0.5.19                                                                ##
################################################################################################
# Multicast Call Timeout(s)
# Number
# Mandatory
# P22532 = 0

################################################################################################
# P value added since 1.0.3.98                                                                ##
################################################################################################
# In-call Contact Info Display
# String
# P22471 = 

# Trusted Domain Name List
# String
# P60082/P60182/P60282/P60382/P60482/60582 = 

# Phonebook Matching
# Enable Phonebook Matching Rules
# String:  dial,query,display
# P22473 = 

# Phonebook Matching Rules
# String
# P22472 =

# SSH Port
# Number. Default is 22
# P27006 = 22

# Contacts Search URL
# String
# P22467 = 

# Contacts search HTTP POST
# String
# P22510 = 

# Contacts Search Auth Username
# String
# P22468 = 

# Contacts Search Auth Password
# String
# P22469 = 

# Contact Search Response Syntax
# String
# P22470 = 

################################################################################################
# P value added since 1.0.3.87                                                                ##
################################################################################################
# Enable the Indicator in Recording. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P1697 = 1

# Inbound DTMF Volume. Default is 18
# Number： 0 - 32
# Mandatory
# P60079/P60179/P60279/P60379/P60479/P60579 = 18

################################################################################################
# P value added since 1.0.3.86                                                                ##
################################################################################################
# Public Mode Timeout
# Number: 0, 10 - 1440. Default is 10
# Mandatory
# P2915 = 10

################################################################################################
# P value added since 1.0.3.83                                                                ##
################################################################################################
# Enable UCM LDAP Auto-config Feature on LCD. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P22511 = 1

################################################################################################
# P value added since 1.0.3.72                                                                ##
################################################################################################
# Call Park Feature Code
# String
# P60069/P60169/P60269/P60369/P60469/P60569 =

# Call Park Retrieve Feature Code
# String
# P2336/P2436/P2536/P2636/P2736/P2836 =

# Clean User Data While Different Users Log In. Default is 0
# Number: 0, 1. 0 - No, 1 - Yes. 
# P8628 = 0

# Total Number of Custom Ringtone Update
# Number: 0 - 10. Default is 6
# P8509 = 6

# Call Tone Volume.
# Number: -15 - 15. Default is 0
# P22370 = 0

# Energy Saving Master Control. 0 - Standard Mode, 1 - Maximum Energy Saving Mode, 2 - Customized Energy Saving Mode.
# Number: 0, 1, 2. Default is 0.
# Mandatory
# P1000 = 0

################################################################################################
# P value added since 1.0.3.70                                                                ##
################################################################################################
# Handset Sidetone Volume
# Number: 0 - 30. Default is 15
# Mandatory
# P22484 = 15

# Enable Speaker Key
# Number: 0, 1, 2. 0 - Yes, 1 - No, 2 - For Switching Channels. Default is 0.
# P22410 = 0

# OpenVPN Client Key Password
# String
# P20715 = 

# Use P-Early-Media Header
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P60072/P60172/P60272/P60372/P60472/P60572 = 0

# Ringback Tone at No Early Media
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P60073/P60173/P60273/P60373/P60473/P60573 = 0

################################################################################################
# P value added since 1.0.3.67                                                                ##
################################################################################################
# Enable/Disable Weak Cipher Suites. 
# 0 -Enable Weak TLS Ciphers Suites, 1 - Disable Symmetric Encryption RC4/DES/3DES, 2 - Disable Symmetric Encryption SEED, 3 - Disable All Weak Symmetric Encryption, 4 - Disable Symmetric Authentication MD5, 5 - Disable All Weak TLS Ciphers Suites
# Number: 0 - 5. Default is 0.
# Mandatory
# P8536 = 0

################################################################################################
# P value added since 1.0.3.63                                                                ##
################################################################################################
# Handset Sidetone Volume
# Number: 0 - 30. Default is 15
# Mandatory
# P22484 = 15

# Enable HAC. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P22485 = 0

################################################################################################
# P value added since 1.0.3.59                                                                ##
################################################################################################
# Enable E911. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# P8565 = 0

# HELD Protocol. 0 - HTTP, 1 - HTTPS. Default is 0
# Number: 0, 1
# P8566 = 0

# HELD Synchronization Interval(m). Default is 0
# Number: 0, 30-1440
# P8567 = 0

# Location Server
# String
# P8568 =

# Location Server Username
# String
# P8569 =

# Location Server Password
# String
# P8570 =

# Secondary Location Server
# String
# P8571 =

# Secondary Location Server Username
# String
# P8572 =

# Secondary Location Server Password
# String
# P8573 =

# HELD Location Types
# String: Geodetic,civic,locationURI
# P8574 =

# HELD Use LLDP Information. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# P8575 = 0

# HELD NAI. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# P8576 = 0

# HELD Identity 1
# String
# P8577 =

# HELD Identity 1 Value
# String
# P8578 =

# HELD Identity 2
# String
# P8579 =

# HELD Identity 2 Value
# String
# P8580 =

# HELD Identity 3
# String
# P8581 =

# HELD Identity 3 Value
# String
# P8582 =

# HELD Identity 4
# String
# P8583 =

# HELD Identity 4 Value
# String
# P8584 =

# HELD Identity 5
# String
# P8585 =

# HELD Identity 5 Value
# String
# P8586 =

# HELD Identity 6
# String
# P8587 =

# HELD Identity 6 Value
# String
# P8588 =

# HELD Identity 7
# String
# P8589 =

# HELD Identity 7 Value
# String
# P8590 =

# HELD Identity 8
# String
# P8591 =

# HELD Identity 8 Value
# String
# P8592 =

# HELD Identity 9
# String
# P8593 =

# HELD Identity 9 Value
# String
# P8594 =

# HELD Identity 10
# String
# P8595 =

# HELD Identity 10 Value
# String
# P8596 =

# E911 Emergency Numbers
# String
# P8597 = 911

# Geolocation-Routing Header. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# P8598 = 0

# Priority Header. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# P8599 = 0

# Use P-Asserted-Identity Header
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P29098/P29198/P29298/P29398/P29498/P29598 = 0

# Use Zoom E911 X-switch-info SIP Header
# 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P60070/P60170/P60270/P60370/P60470/P60570 = 0

# Enable Paging Call Mode. 0 - Yes, 1 - No. Default is 0
# Number: 0, 1
# Mandatory
# P22278 = 0

################################################################################################
# P value added since 1.0.3.57                                                                ##
################################################################################################
# CA Signature Algorithm. 0 - md5WithRSAEncryption, 1 - ecdsa-with-SHA384. Default is 1.
# Number: 0, 1
# Mandatory
# P8603 = 1

################################################################################################
# P value added since 1.0.3.51                                                                ##
################################################################################################
####################################################################
# Input Method                                                    ##
####################################################################
# Input Method for Contacts
# Number: 0, 1, 2, 3. 0 - 123, 1 - abc, 2 - ABC, 3 - Ab2, 4 - Q9
# Mandatory
# P22465 = 0

# Input Method for LDAP
# Number: 0, 1, 2, 3. 0 - 123, 1 - abc, 2 - ABC, 3 - Ab2, 4 - Q9
# Mandatory
# P22466 = 0

################################################################################################
# P value added since 1.0.3.44                                                                ##
################################################################################################
# Trusted CA Certificates 1
# String
# P8433 = 

# Trusted CA Certificates 2
# String
# P8434 = 

# Trusted CA Certificates 3
# String
# P8435 = 

# Trusted CA Certificates 4
# String
# P8436 = 

# Trusted CA Certificates 5
# String
# P8437 = 

# Trusted CA Certificates 6
# String
# P8438 = 

# LDAP Mail Filter
# String
# P8039 = 

# LDAP Mail Attributes
# String
# P8038 = 

################################################################################################
# P value added since 1.0.3.42                                                                ##
################################################################################################
# Speaker Ring Volume.
# Number: 0 - 8. Default is 4
# P8352 = 4

# Working Time.
# String. Default is 09:00-17:00
# P22449 = 09:00-17:00

################################################################################################
# P value added since 1.0.3.31                                                                ##
################################################################################################
# UCM User Password
# String
# P60061/P60161/P60261/P60361/P60461/P60561 = 

# Wi-Fi Settings Security Level(For GRP2602W only). 0 - Default, 1 - Always Require Password, 2 - No Password Required. Default is 0
# Number: 0, 1, 2
# Mandatory
# P22460 = 0

# Enable Mute Key In Call. 0 - Yes, 1 - No. Default is 1
# Number: 0, 1
# Mandatory
# P22441 = 0

# Enable TCP Keep-alive.0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P60065/P60165/P60265/P60365/P60465/P60565 = 1

# Keypad Lock Type. 0 - All Keys, 1 - Customized. Default is 0
# Number: 0, 1
# Mandatory
# P8383 = 0

# RTCP Keep-Alive method
# Number: 1, 2. 1 - Receiver Report, 2 - Sender Report. Default is 1.
# Mandatory
# P60066/P60166/P60266/P60366/P60466/P60566 = 1

# RTP Keep-Alive method
# Number: 0, 1. 0 - No, 1 - RTP Version 1. Default is 1.
# Mandatory
# P60067/P60167/P60267/P60367/P60467/P60567 = 1

# Keys to Lock when idle. 
# String: SoftKeys,NavigationKeys,VoicemailKey,MuteKey,TransferKey,SendKey,MPKeys,Hookswitch,NumberKeys,StarKey,PoundKey,VolumeKeys,SpeakerKey,HeadsetKey,LineKeys
# P22462 = SoftKeys,NavigationKeys,VoicemailKey,MuteKey,TransferKey,SendKey,MPKeys

# Keys to Lock when in call
# String: SoftKeys,NavigationKeys,VoicemailKey,MuteKey,TransferKey,MPKeys,Hookswitch,NumberKeys,StarKey,PoundKey,VolumeKeys,SpeakerKey,SendKey,HeadsetKey,LineKeys
# P22463 = SoftKeys,NavigationKeys,VoicemailKey,MuteKey,TransferKey,MPKeys

################################################################################################
# P value added since 1.0.3.18                                                                ##
################################################################################################
# Support Rport (RFC3581). 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P131/P447/P547/P647/P747/P847 = 1

# Allow Programmable Key Configuration via LCD. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8444 = 1

# Factory Reset Security Level. 0 - Default, 1 - Always Require Password, 2 - No Password Required. Default is 0
# Number: 0, 1, 2
# Mandatory
# P22373 = 0

################################################################################################
# P value added since 1.0.1.57                                                                ##
################################################################################################
# Maximum Number of SIP Request Retries
# Number: 1 - 10
# Mandatory
# P60055/P60155/P60255/P60355/P60455/P60555 = 4

# Register Before DNS SRV Fail-over. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P29095/P29195/P29295/P29395/P29495/P29595 = 0

# Failback Expiration (m)
# Number
# P60056/P60156/P60256/P60356/P60456/P60556 = 

# RTCP Mode
# Number: 0, 1, 2, 3. 0 - Default, 1 - Negotiated, 2- RTCP Mux, 3 - RTCP Mux Only. Default is 0
# Mandatory
# P60060/P60160/P60260/P60360/P60460/P60560 = 0

# Enable Override Forward. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P60062/P60162/P60262/P60362/P60462/P60562 = 0

# Override Forward Numbers
# Strings
# P60063/P60163/P60262/P60363/P60463/P60563 = 

# Hidden Number Features
# Number: 0,1,2,3. 0-None of Calls, 1-Incoming Calls, 2-Outgoing Calls, 3-Booth Direction Calls. Default is 0.
# Mandatory
# P26043/P26143/P26243/P26343/26443/26543 = 0

# Hidden Number Plan List
# String
# P60058/P60158/P60258/P60358/P60458/P60558 = { x+(xxxx)xxxx | xx(xx+)xx | x(xx+)x | x(x+) | (x+) }

# Last Call Forward Always. 0 - No, 1 - Yes. Default is 0
# Number: 0,1,2
# Mandatory
# P32063 = 0

# Show SIP Error Response. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8376 = 1

# Enable Hook Switch. 0 - Yes, 1 - No, 2 - No, Except Answering Call. Default is 0.
# Number: 0, 1, 2
# P6763 = 0

# Contact Source Priority
# String
# P22439 = Local,Remote,BSXSI,LDAPPhonebook,NETWorkSignaling

# Enable Direct IP Call. 0 - Yes, 1 - No. Default is 0
# Number: 0, 1
# Mandatory
# P1310 = 0

# Use Quick IP Call Mode. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P184 = 0

# Predictive Dialing Feature. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P22126 = 1

# Predictive Dialing Source.
# String
# P8442 = LocalPhonebook,CallHistory,BSPhonebook,BSCallHistory,LDAPPhonebook,PersonalPhonebook,RemotePhonebook,FeatureCode

# Onhook Dial Barging. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8397 = 1

# Enable Live Keypad. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8350 = 0

# Enable Auto Redial. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8353 = 0

# Auto Redial Times.
# Number: 1 - 200. Default is 10.
# Mandatory
# P8354 = 10

# Auto Redial Interval
# Number: 1 - 360. Default is 10.
# Mandatory
# P8355 = 10

# Enable Call Completion Service. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8391 = 0

# Enable Incoming Call Popup. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8401 = 1

# Enable Missed Call Notification. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8393 = 1

# Enable In-call DTMF Display. 0 - Yes, 1 - No. Default is 0
# Number: 0, 1
# Mandatory
# P338 = 0

# Show on Hold Duration. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8503 = 1

# Enable Auto Unmute. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8488 = 1

# Enable Busy Tone on Remote Disconnect. 0 - Yes, 1 - No. Default is 1
# Number: 0, 1
# Mandatory
# P6762 = 1

# Enable Transfer.0 - Yes, 1 - No. Default is 0
# Number: 0, 1
# Mandatory
# P1341 = 0

# Attended Transfer Mode. 0 - Static, 1 - Dynamic. Default is 1.
# Number: 0, 1
# Mandatory
# P1376 = 1

# Override DND. 0 - Off, 1 - Allow All, 2 - Allow Only Contacts, 3 - Allow Only Favorite, 4 - Allow Override Numbers
# Number: 0,1,2,3,4. Default is 0.
# Mandatory
# P8372 = 0

# Override DND Numbers
# String
# P22450 = 

# Enable Conference. 0 - Yes, 1 - No. Default is 0.
# Mandatory
# P1311 = 0

# Enable BLF Pickup Screen. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P9905 = 0

# Enable BLF Pickup Sound. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P9906 = 0

# Hide BLF Remote Status. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8374 = 0

# Enable IM Popup. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P8474 = 1

# Instant Message Popup Timeout.
# Number: 10 - 900. Default is 10.
# Mandatory
# P26055 = 10

# Play Tone on Receiving IM. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P26056 = 0

# DNS Refresh Timer (m)
# Number: 0 - 1440. Default is 0
# Mandatory
# P4208 = 0

# DNS Failure Cache Duration (m)
# Number: 0 - 1440. Default is 0
# Mandatory
# P28160 = 0

# Auto Provision List Starting Point. 1 - VPK, 2 - MPK. Default is 2.
# Number: 1, 2
# Mandatory
# P8349 = 2

# Enable Warning Tone. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P22444 = 1

# Group Listen with handset 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P22100 = 0

# Group Listen with Speaker. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P22163 = 0

# Enable Headset Noise Shield 2.0. 0 - Disable, 1 - Moderate Headset, 2 - Loud Headset, 3 - Thin Headset, 4 - Plantronics SP11-A
# Number: 0, 1, 2, 3, 4
# Mandatory
# P8563 = 1

# Register failed.
# String
# P8307 = 

# Idle to Busy.
# String
# P8328 =

# Busy to Idle.
# String
# P8329 = 

# Auto Provision Completed.
# String
# P8332 = 

# IP Change.
# String
# P22170 = 

# Forwarded Call
# String
# P22173 =

# Answered Call
# String
# P22171 =

# Rejected Call
# String
# P8315 =

# Transfer Completed
# String
# P8322 =

# Transfer failed
# String
# P8323 =

# Mute Call
# String
# P8326 =

# Unmute Call
# String
# P8327 =

# Open Forward Always
# String
# P22164 =

# Close Forward Always
# String
# P22165 =

# Open Call Forward Busy
# String
# P22166 =

# Close Call Forward Busy
# String
# P22167 =

# Open Call Forward No Answer
# String
# P22168 =

# Close Call Forward No Answer
# String
# P22169 =

####################################################################
# Application/XML Application
####################################################################
# Idle Screen XML Download.
# Number: 0,1,2,3. Default is 0.
# 0 - Disabled, 1 - Enabled, use HTTP, 2 - Enabled, use TFTP, 3 - Enabled, use HTTPS. 
# P340 = 0

# Download Screen XML at Boot-up
# Number: 0, 1.  0 - No, 1 - Yes. Default is 0
# Mandatory
# P1349 = 0

# Use Custom Filename
# Number: 0, 1.  0 - No, 1 - Yes. Default is 0
# Mandatory
# P1343 = 0

# Idle Screen XML Server Path
# String
# P341 = 

################################################################################################
# P value added since 1.0.1.52                                                                ##
################################################################################################
# Custom Certificate
# String (string length: min:0, max: 8192)
# P8472 = 

################################################################################################
# P value added since 1.0.1.41                                                                ##
################################################################################################
# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60059 = 1

# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60159 = 1

# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60259 = 1

# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60359 = 1

# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60459 = 1

# Use Route Set in NOTIFY(Follow RFC 6665)
# Number: 0, 1
# Mandatory
# P60559 = 1

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29064 =

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29164 =

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29264 =

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29364 =

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29464 =

# Auto Answer Numbers. Up to 10 numbers. Each number is seperated by a semi-colon
# String
# P29564 =

# In-call Dial Number on Pressing Transfer Key
# String
# P1525 =

####################################################################
# Virtual Multi-Purpose Keys                                      ##
####################################################################

######################################################################################
############################ For GRP2604/P/GRP2603/P       ###########################
######################################################################################
######################################################################################
# VPK 1- fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1363 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P1364 = 0

# Description. Max length allowed is 32 characters.
# String
# P1465 =

# Value. Max length allowed is 64 characters.
# String
# P1466 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23968 = 0

######################################################################################
# VPK 2- fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1365 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory 
# P1366 = 1

# Description. Max length allowed is 32 characters.
# String
# P1467 =

# Value. Max length allowed is 64 characters.
# String
# P1468 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23969 = 0

######################################################################################
# VPK 3 - fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1367 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory 
# P1368 = 2

# Description. Max length allowed is 32 characters.
# String
# P1469 =

# Value. Max length allowed is 64 characters.
# String
# P1470 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23970 = 0

######################################################################################
# VPK 4 - fixed VPK
######################################################################################
# Key Mode for line VPK. Default is -1.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1369 = -1

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory 
# P1370 = 0

# Description. Max length allowed is 32 characters.
# String
# P1471 = 

# Value. Max length allowed is 64 characters.
# String
# P1472 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23971 = 0

######################################################################################
# VPK 5 - fixed VPK
######################################################################################
# Key Mode for default VPK. Default is -1.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1371 = -1

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P1372 = 0

# Description. Max length allowed is 32 characters.
# String
# P1473 = 

# Value. Max length allowed is 64 characters.
# String
# P1474 = 

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23972 = 0

######################################################################################
# VPK 6 - fixed VPK
######################################################################################
# Key Mode for line VPK. Default is -1.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1373 = -1

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P1374 = 0

# Description. Max length allowed is 32 characters.
# String
# P1475 = 

# Value. Max length allowed is 64 characters.
# String
# P1476 = 

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23973 = 0

###################################################################################### 
# VPK 7-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23800 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23801 = 0

# Description. 
# String. 
# P23802 = 

# Value.
# String.
# P23803 =

##################################################################################### 
# VPK 8-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23804 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23805 = 0

# Description. 
# String. 
# P23806 = 

# Value.
# String.
# P23807 =

###################################################################################### 
# VPK 9-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23808 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23809 = 0

# Description. 
# String. 
# P23810 = 

# Value.
# String.
# P23811 =

###################################################################################### 
# VPK 10-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23812 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23813 = 0

# Description. 
# String. 
# P23814 = 

# Value.
# String.
# P23815 =

###################################################################################### 
# VPK 11-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23816 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23817 = 0

# Description. 
# String. 
# P23818 = 

# Value.
# String.
# P23819 =

###################################################################################### 
# VPK 12-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23820 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P23821 = 0

# Description. 
# String. 
# P23822 = 

# Value.
# String.
# P23823 =

######################################################################################
############################ For GRP2602/P       #####################################
######################################################################################
######################################################################################
# VPK 1- fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1363 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4, 4 - Account 5, 5 - Account 6
# Number: 0, 1, 2, 3, 4, 5. Default is 0.
# Mandatory
# P1364 = 0

# Description. Max length allowed is 32 characters.
# String
# P1465 =

# Value. Max length allowed is 64 characters.
# String
# P1466 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23968 = 0

######################################################################################
# VPK 2- fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1365 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory 
# P1366 = 1

# Description. Max length allowed is 32 characters.
# String
# P1467 =

# Value. Max length allowed is 64 characters.
# String
# P1468 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23969 = 0

######################################################################################
# VPK 3 - fixed VPK 
######################################################################################
# Key Mode for line VPK. Default is 31.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1367 = 31

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory 
# P1368 = 2

# Description. Max length allowed is 32 characters.
# String
# P1469 =

# Value. Max length allowed is 64 characters.
# String
# P1470 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23970 = 0

######################################################################################
# VPK 4 - fixed VPK
######################################################################################
# Key Mode for line VPK. Default is -1.
# Number: -1 - 33
# None (-1), SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Default (31), SharedLine (32), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1369 = -1

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory 
# P1370 = 0

# Description. Max length allowed is 32 characters.
# String
# P1471 = 

# Value. Max length allowed is 64 characters.
# String
# P1472 =

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23971 = 0

######################################################################################
# VPK 5 - Dynamic VPK
######################################################################################
# Key Mode for default VPK. Default is -1.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1371 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory
# P1372 = 0

# Description. Max length allowed is 32 characters.
# String
# P1473 = 

# Value. Max length allowed is 64 characters.
# String
# P1474 = 

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23972 = 0

######################################################################################
# VPK 6 - Dynamic VPK
######################################################################################
# Key Mode for line VPK. Default is -1.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P1373 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory
# P1374 = 0

# Description. Max length allowed is 32 characters.
# String
# P1475 = 

# Value. Max length allowed is 64 characters.
# String
# P1476 = 

# Locked: 0 - uncheck, 1 - check. Default is 0
# Mandatory
# Number: 0, 1
# P23973 = 0

###################################################################################### 
# VPK 7-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23800 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory
# P23801 = 0

# Description. 
# String. 
# P23802 = 

# Value.
# String.
# P23803 =

##################################################################################### 
# VPK 8-Dynamic VPK
######################################################################################
# Key Mode for Dynamic VPK. Default is 0.
# Number: 0 - 33
# SpeedDial (0), BLF (1), PresenceWatcher (2), EventlistBLF (3), SpeedDialViaActiveAccount (4)
# DialDTMF (5), VoiceMail (6), CallReturn (7), Transfer (8), CallPark (9), Intercom (10), LDAPSearch (11)
# Conference (12), MulticastPaging (13), CallLog (15), MonitoredCallPark (16), Menu (17)
# Information (19), Message (20), Forward (21), DND (22), Redial (23), MulticastListenAddress (25)
# EventListPresence (28), Provision (29), Multicast Paging Address(33)
# Please note string format is also accepted, here is the full list for the mode options strings, the string for the mode is case-insensitive. 
# none, line, shared, sharedline, speeddial, blf, presencewatcher, eventlistblf, speeddialaa, dialdtmf
# voicemail, callreturn, transfer, callpark, intercom, ldapsearch, conference, multicastpaging
# calllog, monitoredcp, moniteredcp(backward compatible version), menu, information, message, forward, dnd
# redial, instantmessage, multicastlistenaddress, presenceeventlist, provision
# P23804 = 0

# Account. 0 - Account 1, 1 - Account 2, 2 - Account 3, 3 - Account 4
# Number: 0, 1, 2, 3. Default is 0.
# Mandatory
# P23805 = 0

# Description. 
# String. 
# P23806 = 

# Value.
# String.
# P23807 =

####################################################################
# Application/Remote Phonebook
####################################################################
####################################################################
# Phonebook 1                                                     ##
####################################################################
# Display Name
# String
P22427 =

# URL
# String
P22428 =

# Username
# String
P22429 =

# Password
# String
P22430 =

####################################################################
# Phonebook 2                                                     ##
####################################################################
# Display Name
# String
P22431 =

# URL
# String
P22432 =

# Username
# String
P22433 =

# Password
# String
P22434 =

####################################################################
# Phonebook 3                                                     ##
####################################################################
# Display Name
# String
P22435 =

# URL
# String
P22436 =

# Username
# String
P22437 =

# Password
# String
P22438 =

# Remote Phonebook Update Interval(m)
# Number: 0, 5-720
P22426 = 0####################################################################
# Application/Remote Phonebook
####################################################################
####################################################################
# Phonebook 1                                                     ##
####################################################################
# Display Name
# String
P22427 =

# URL
# String
P22428 =

# Username
# String
P22429 =

# Password
# String
P22430 =

####################################################################
# Phonebook 2                                                     ##
####################################################################
# Display Name
# String
P22431 =

# URL
# String
P22432 =

# Username
# String
P22433 =

# Password
# String
P22434 =

####################################################################
# Phonebook 3                                                     ##
####################################################################
# Display Name
# String
P22435 =

# URL
# String
P22436 =

# Username
# String
P22437 =

# Password
# String
P22438 =

# Remote Phonebook Update Interval(m)
# Number: 0, 5-720
P22426 = 0

################################################################################################
# P value added since 1.0.1.36                                                                ##
################################################################################################
####################################################################
# System Settings/Preferences/Display Control/LCD&LED                                               
####################################################################
# Line LED Color Scheme. 0 - Default, 1 - Light up. Default is 0
# Number: 0, 1
# Mandatory
P22362 = 0

###########################################################################################################
# Provision config force reboot (This pvalue is used for provision only. There is no option on the web UI)                                           
###########################################################################################################
# Provision config force reboot. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1.
# Mandatory
# P22421 = 0

####################################################################
# General Settings/Public Mode                             
####################################################################
# Allow Multiple Accounts. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8564 = 0

####################################################################
# Custom Idle Screen Softkey Layout
####################################################################
# String:Logout,Custom-IdleForwardAll,Custom-Menu,Custom-History,Custom-BS-History,Custom-Contacts,Custom-BS-Contacts,Custom-LDAP-Contacts,Custom-DND,Custom-Redial,Custom-CallReturn,Custom-Paging,ParkedCalls,Custom-BS-CallCenter,Custom-BS-EXEC-Asst,Custom1,Custom2,Custom3,
# P8348 = Custom-Menu,Custom-History,Custom-Contacts,Custom-Redial,Custom-DND

####################################################################
# Call Settings                                 
####################################################################
# Ring for Call Waiting. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P22102 = 0

################################################################################################
# P value added since 1.0.1.18                                                                ##
################################################################################################
###############################################################
# Account 1/2/3/4/5/6 Call Settings/Call Features
###############################################################
# Play warning tone for Auto Answer Intercom. 0 - No, 1 - Yes. Default is 1
# Number: 0, 1
# Mandatory
# P26072/P26172/P26272/P26372/P26472/P26572 = 1

# Mute on Intercom Auto Answer. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P26071/P26171/P26271/P26371/P26471/P26571 = 0

####################################################################
# General Settings/Public Mode                             
####################################################################
# Enable Remote Synchronization. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8448 = 0

# Server Type. 0 - TFTP, 1 - FTP, 2 - HTTP. Default is 0
# Number: 0, 1, 2
# Mandatory
# P8449 = 0

# Server Path
# String
# P8450 = 

# FTP/HTTP Username
# String
# P8451 = 

# FTP/HTTP Password
# String
# P8452= 

####################################################################
# Call Settings                                 
####################################################################
# Auto Answer Delay
# Number: 0 - 10
# Mandatory
# P8486 = 0

####################################################################
# Network Settings OpenVPN Settings                                     
####################################################################
# OpenVPN Comp-lzo.  0 - Disabled, 1 - Enabled. Default is 1
# Number: 0, 1
# Mandatory
# P8508 = 1

####################################################################
# Security Settings/Client Certificate
####################################################################
# Minimum TLS Version. 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2. Default is 10.
# Number: 10, 11, 12
# Mandatory
# P22293 = 10

# Maximum TLS Version. 99 - Unlimited, 10 - TLS 1.0, 11 - TLS 1.1, 12 - TLS 1.2. Default is 99.
# Number: 10, 11, 12, 99
# Mandatory
# P22294 = 99

####################################################################
# System Diagnosis/Packet Capture
####################################################################
# With Secret Key Information. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P22419 = 0

####################################################################
# Voice Monitoring/Display Report
####################################################################
# Display Report on Web UI. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8496 = 0

# Display Report on LCD. 0 - No, 1 - Yes. Default is 0
# Number: 0, 1
# Mandatory
# P8497 = 0

# Custom Display Layout on LCD
# String: Overview,PacketLostRate,RoundTripDelay,Jitter,MosLQ,MosCQ,StartTime,StopTime,LocalUser,RemoteUser,LocalIP,RemoteIP,LocalCodec,RemoteCodec,
#         JitterBufferMax,EndSysDelay,SymmOneWayDelay
# P8507 = Overview,PacketLostRate,RoundTripDelay,Jitter,MosLQ,MosCQ
